GNU bug report logs - #17489
24.3; Major mode spec in .dir-locals.el breaks dired

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Sergio Pokrovskij <sergio.pokrovskij@HIDDEN>; dated Wed, 14 May 2014 07:29:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 17489 <at> debbugs.gnu.org:


Received: (at 17489) by debbugs.gnu.org; 15 May 2014 00:40:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 14 20:39:59 2014
Received: from localhost ([127.0.0.1]:34993 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WkjiJ-00042h-A7
	for submit <at> debbugs.gnu.org; Wed, 14 May 2014 20:39:59 -0400
Received: from mail-lb0-f182.google.com ([209.85.217.182]:57289)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sergio.pokrovskij@HIDDEN>) id 1WkjiF-00042J-P9
 for 17489 <at> debbugs.gnu.org; Wed, 14 May 2014 20:39:56 -0400
Received: by mail-lb0-f182.google.com with SMTP id z11so4900lbi.27
 for <17489 <at> debbugs.gnu.org>; Wed, 14 May 2014 17:39:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=8sl05vbFVZ0ZTl1G+V3mLoktkIBNheWIZP31RweyeV0=;
 b=dTvuLAQmWQkSG+hhPJSVU6s1SCMHRQ9KP/gC80irB3L0t/cPg0TkeTQ/LT7UyUGV2P
 Ljx45TpjloErsrJJg+89h1WUckKaDuKSUPoolRHmeqHhSQtxZYLZ2uHDIWfKB2z3mhGe
 mVhM+z5REUzd43Ma4YV8kcuxHcddovxv40PZoHQXWCsLa3EuZOPWz5dyxnVZaFVB9mNm
 hMMsbEcNpmRoVk7iWmGl8Fz1myQlJwi4Xl7mONvoErG7TEQ1zN1Sc1p/PLiY32L30LgW
 i8W3Rmv8pCqy7/ISGw6hLBcvB9542kqzEMs14HUD084gdZV0Kbk3RzQjqQ61pq+sx0sS
 +/lA==
X-Received: by 10.112.150.103 with SMTP id uh7mr4584503lbb.30.1400114389519;
 Wed, 14 May 2014 17:39:49 -0700 (PDT)
Received: from hp12 ([176.51.121.255])
 by mx.google.com with ESMTPSA id q4sm3563914lbl.14.2014.05.14.17.39.48
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Wed, 14 May 2014 17:39:48 -0700 (PDT)
From: Sergio Pokrovskij <sergio.pokrovskij@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired
References: <87d2fg6dcn.fsf@HIDDEN> <831tvwpfar.fsf@HIDDEN>
 <87vbt846jk.fsf@HIDDEN> <83oaz0ns1r.fsf@HIDDEN>
Date: Thu, 15 May 2014 07:39:42 +0700
In-Reply-To: <83oaz0ns1r.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 May
 2014 21:17:36 +0300")
Message-ID: <87r43v50z5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17489
Cc: 17489 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

>>>>> "Eli" == Eli Zaretskii wrote:

  >> From: Sergio Pokrovskij <sergio.pokrovskij@HIDDEN>
...
  >> ,----
  >> | Whenever Emacs visits any file IN THAT DIRECTORY or any of its
  >> | subdirectories, it will apply the directory-local variables
  >> | specified in `.dir-locals.el', AS THOUGH THEY HAD BEEN DEFINED AS
  >> | FILE-LOCAL VARIABLES for that file ...
  >> `----

  Eli> Are you saying that "." is not a file?

I applied dired to "tmp/tst", not to "tmp/tst/."

I expect that when I open a file linked from an encompassing
directory to "/tmp/tst/foo", the "/tmp/tst/.dir-locals.el" does
not affect the buffer.

-- 
Sergio





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17489; Package emacs. Full text available.

Message received at 17489 <at> debbugs.gnu.org:


Received: (at 17489) by debbugs.gnu.org; 14 May 2014 19:40:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 14 15:40:13 2014
Received: from localhost ([127.0.0.1]:34840 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wkf2B-00027Z-Qr
	for submit <at> debbugs.gnu.org; Wed, 14 May 2014 15:40:12 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:45774 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1Wkf28-00027Q-BN
 for 17489 <at> debbugs.gnu.org; Wed, 14 May 2014 15:40:09 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1Wkf27-0001gv-9N; Wed, 14 May 2014 15:40:07 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired
References: <87d2fg6dcn.fsf@HIDDEN> <831tvwpfar.fsf@HIDDEN>
 <87vbt846jk.fsf@HIDDEN> <v0iop89sio.fsf@HIDDEN>
 <6hha4s2rcj.fsf@HIDDEN> <83mweknrxp.fsf@HIDDEN>
 <5dsiocrz7e.fsf@HIDDEN> <83d2fgnqyw.fsf@HIDDEN>
 <9bfvkcgp6m.fsf@HIDDEN> <838uq4nobp.fsf@HIDDEN>
X-Spook: clandestine ammunition data haven JPL Axis of Evil enigma
X-Ran: *CYqI_xgXRgl]e?KGPfu~S/3PIu(r&]Z?'O7RG'I?o)id/AIteKrf_sD{I-"#6y$/5fYC<
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 14 May 2014 15:40:07 -0400
In-Reply-To: <838uq4nobp.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 May
 2014 22:38:02 +0300")
Message-ID: <4ltx8sp2so.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.7 (-----)
X-Debbugs-Envelope-To: 17489
Cc: sergio.pokrovskij@HIDDEN, 17489 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.7 (-----)

Eli Zaretskii wrote:

>> So then we are back to http://debbugs.gnu.org/13685, which would let
>> people choose.
>
> That looks better, since it at least makes the user's desire
> explicit.  Why not implement it?

Lack of round tuits.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17489; Package emacs. Full text available.

Message received at 17489 <at> debbugs.gnu.org:


Received: (at 17489) by debbugs.gnu.org; 14 May 2014 19:38:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 14 15:38:17 2014
Received: from localhost ([127.0.0.1]:34836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wkf0K-00023z-43
	for submit <at> debbugs.gnu.org; Wed, 14 May 2014 15:38:16 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:33409)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Wkf0G-00023h-KW
 for 17489 <at> debbugs.gnu.org; Wed, 14 May 2014 15:38:13 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0N5K00900WU4CA00@HIDDEN> for 17489 <at> debbugs.gnu.org;
 Wed, 14 May 2014 22:38:05 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N5K009JJX7H3H50@HIDDEN>;
 Wed, 14 May 2014 22:38:05 +0300 (IDT)
Date: Wed, 14 May 2014 22:38:02 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired
In-reply-to: <9bfvkcgp6m.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Glenn Morris <rgm@HIDDEN>
Message-id: <838uq4nobp.fsf@HIDDEN>
References: <87d2fg6dcn.fsf@HIDDEN> <831tvwpfar.fsf@HIDDEN>
 <87vbt846jk.fsf@HIDDEN> <v0iop89sio.fsf@HIDDEN>
 <6hha4s2rcj.fsf@HIDDEN> <83mweknrxp.fsf@HIDDEN>
 <5dsiocrz7e.fsf@HIDDEN> <83d2fgnqyw.fsf@HIDDEN>
 <9bfvkcgp6m.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17489
Cc: sergio.pokrovskij@HIDDEN, 17489 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Glenn Morris <rgm@HIDDEN>
> Cc: sergio.pokrovskij@HIDDEN,  17489 <at> debbugs.gnu.org
> Date: Wed, 14 May 2014 15:01:21 -0400
> 
> Well, it really doesn't make sense AFAICS, but ok then, you don't want
> the special-case solution of simply ignoring a `mode' dir-locals in
> non-file buffers.

It's not that I don't want that.  I actually am quite indifferent to
this, because I think dir-locals, in its current design, is too
restrictive, and therefore I'm simply not interested.

I just think that adding these implied conditions is a slippery slope,
because different people want to do different things with dir-locals.

> So then we are back to http://debbugs.gnu.org/13685, which would let
> people choose.

That looks better, since it at least makes the user's desire
explicit.  Why not implement it?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17489; Package emacs. Full text available.

Message received at 17489 <at> debbugs.gnu.org:


Received: (at 17489) by debbugs.gnu.org; 14 May 2014 19:01:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 14 15:01:26 2014
Received: from localhost ([127.0.0.1]:34797 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WkeQe-00011C-NN
	for submit <at> debbugs.gnu.org; Wed, 14 May 2014 15:01:25 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:44957 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1WkeQc-000114-P4
 for 17489 <at> debbugs.gnu.org; Wed, 14 May 2014 15:01:23 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1WkeQb-0004Eu-U4; Wed, 14 May 2014 15:01:21 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired
References: <87d2fg6dcn.fsf@HIDDEN> <831tvwpfar.fsf@HIDDEN>
 <87vbt846jk.fsf@HIDDEN> <v0iop89sio.fsf@HIDDEN>
 <6hha4s2rcj.fsf@HIDDEN> <83mweknrxp.fsf@HIDDEN>
 <5dsiocrz7e.fsf@HIDDEN> <83d2fgnqyw.fsf@HIDDEN>
X-Spook: Operation Iraqi Freedom InfoSec [Hello to all my friends
X-Ran: i)=ym~M9,Lq9))9XC8\i]Yu>cQF)xT:6n>_vpHDiR^&Gv2*nuD6rln$:sN_wqgRsd}T#/S
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 14 May 2014 15:01:21 -0400
In-Reply-To: <83d2fgnqyw.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 May
 2014 21:40:55 +0300")
Message-ID: <9bfvkcgp6m.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.7 (-----)
X-Debbugs-Envelope-To: 17489
Cc: sergio.pokrovskij@HIDDEN, 17489 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.7 (-----)

Eli Zaretskii wrote:

> Sure.  And I'm sure some other user will argue that it makes sense to
> apply _her_ favorite major mode to any and all buffers.

Well, it really doesn't make sense AFAICS, but ok then, you don't want
the special-case solution of simply ignoring a `mode' dir-locals in
non-file buffers. So then we are back to http://debbugs.gnu.org/13685,
which would let people choose.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17489; Package emacs. Full text available.

Message received at 17489 <at> debbugs.gnu.org:


Received: (at 17489) by debbugs.gnu.org; 14 May 2014 18:49:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 14 14:49:17 2014
Received: from localhost ([127.0.0.1]:34784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WkeEu-0000fI-8Z
	for submit <at> debbugs.gnu.org; Wed, 14 May 2014 14:49:17 -0400
Received: from mtaout26.012.net.il ([80.179.55.182]:36571)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WkeEr-0000ez-6m
 for 17489 <at> debbugs.gnu.org; Wed, 14 May 2014 14:49:14 -0400
Received: from conversion-daemon.mtaout26.012.net.il by mtaout26.012.net.il
 (HyperSendmail v2007.08) id <0N5K00A00U8UZ100@HIDDEN> for
 17489 <at> debbugs.gnu.org; Wed, 14 May 2014 21:37:58 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout26.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N5K004S1UFAAT60@HIDDEN>; Wed, 14 May 2014 21:37:58 +0300 (IDT)
Date: Wed, 14 May 2014 21:40:55 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired
In-reply-to: <5dsiocrz7e.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Glenn Morris <rgm@HIDDEN>
Message-id: <83d2fgnqyw.fsf@HIDDEN>
References: <87d2fg6dcn.fsf@HIDDEN> <831tvwpfar.fsf@HIDDEN>
 <87vbt846jk.fsf@HIDDEN> <v0iop89sio.fsf@HIDDEN>
 <6hha4s2rcj.fsf@HIDDEN> <83mweknrxp.fsf@HIDDEN>
 <5dsiocrz7e.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17489
Cc: sergio.pokrovskij@HIDDEN, 17489 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Glenn Morris <rgm@HIDDEN>
> Cc: sergio.pokrovskij@HIDDEN,  17489 <at> debbugs.gnu.org
> Date: Wed, 14 May 2014 14:29:25 -0400
> 
> I'm sure it makes sense to the OP.

Sure.  And I'm sure some other user will argue that it makes sense to
apply _her_ favorite major mode to any and all buffers.

> Dired buffers have buffer-file-name = nil so IMO can quite reasonably be
> viewed as not visiting files.

But major modes are not only for buffers visiting files.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17489; Package emacs. Full text available.

Message received at 17489 <at> debbugs.gnu.org:


Received: (at 17489) by debbugs.gnu.org; 14 May 2014 18:29:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 14 14:29:28 2014
Received: from localhost ([127.0.0.1]:35571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wkdvk-00026T-Gx
	for submit <at> debbugs.gnu.org; Wed, 14 May 2014 14:29:28 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:44081 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1Wkdvi-00026J-87
 for 17489 <at> debbugs.gnu.org; Wed, 14 May 2014 14:29:26 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1Wkdvh-0005xE-8l; Wed, 14 May 2014 14:29:25 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired
References: <87d2fg6dcn.fsf@HIDDEN> <831tvwpfar.fsf@HIDDEN>
 <87vbt846jk.fsf@HIDDEN> <v0iop89sio.fsf@HIDDEN>
 <6hha4s2rcj.fsf@HIDDEN> <83mweknrxp.fsf@HIDDEN>
X-Spook: Adriatic CipherTAC-2000 data haven enemy of the state
X-Ran: Pt=zY_g|nl}>fW2>7en{i*;>L8%@S)OGZ;msr+%8T|'D6?tKsz|:k}lBfy\GkVN3h%{VbZ
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 14 May 2014 14:29:25 -0400
In-Reply-To: <83mweknrxp.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 May
 2014 21:20:02 +0300")
Message-ID: <5dsiocrz7e.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.7 (-----)
X-Debbugs-Envelope-To: 17489
Cc: sergio.pokrovskij@HIDDEN, 17489 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.7 (-----)

Eli Zaretskii wrote:

>> From: Glenn Morris <rgm@HIDDEN>
>> Date: Wed, 14 May 2014 13:38:20 -0400
>> Cc: 17489 <at> debbugs.gnu.org
>> 
>> Although we could probably treat this specific example specially, and
>> just say that it never (?) makes sense for a dir-local `mode' to apply to
>> non-file buffers.
>
> Arguably, it makes no sense to apply the same fixed mode to all the
> files in a directory, either.

I'm sure it makes sense to the OP.

Dired buffers have buffer-file-name = nil so IMO can quite reasonably be
viewed as not visiting files.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17489; Package emacs. Full text available.

Message received at 17489 <at> debbugs.gnu.org:


Received: (at 17489) by debbugs.gnu.org; 14 May 2014 18:20:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 14 14:20:16 2014
Received: from localhost ([127.0.0.1]:35562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wkdmo-0001nY-RJ
	for submit <at> debbugs.gnu.org; Wed, 14 May 2014 14:20:15 -0400
Received: from mtaout29.012.net.il ([80.179.55.185]:33613)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Wkdml-0001nE-UN
 for 17489 <at> debbugs.gnu.org; Wed, 14 May 2014 14:20:12 -0400
Received: from conversion-daemon.mtaout29.012.net.il by mtaout29.012.net.il
 (HyperSendmail v2007.08) id <0N5K00J00TLGZM00@HIDDEN> for
 17489 <at> debbugs.gnu.org; Wed, 14 May 2014 21:21:01 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout29.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N5K00IVHTN1D010@HIDDEN>; Wed, 14 May 2014 21:21:01 +0300 (IDT)
Date: Wed, 14 May 2014 21:20:02 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired
In-reply-to: <6hha4s2rcj.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Glenn Morris <rgm@HIDDEN>
Message-id: <83mweknrxp.fsf@HIDDEN>
References: <87d2fg6dcn.fsf@HIDDEN> <831tvwpfar.fsf@HIDDEN>
 <87vbt846jk.fsf@HIDDEN> <v0iop89sio.fsf@HIDDEN>
 <6hha4s2rcj.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17489
Cc: sergio.pokrovskij@HIDDEN, 17489 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Glenn Morris <rgm@HIDDEN>
> Date: Wed, 14 May 2014 13:38:20 -0400
> Cc: 17489 <at> debbugs.gnu.org
> 
> Although we could probably treat this specific example specially, and
> just say that it never (?) makes sense for a dir-local `mode' to apply to
> non-file buffers.

Arguably, it makes no sense to apply the same fixed mode to all the
files in a directory, either.

From my POV, the .dire-locals.el facility has some serious
limitations, and this one is one of them.  Kludging over it will never
cut it, we will promptly need to apply more kludges on top of that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17489; Package emacs. Full text available.

Message received at 17489 <at> debbugs.gnu.org:


Received: (at 17489) by debbugs.gnu.org; 14 May 2014 18:17:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 14 14:17:49 2014
Received: from localhost ([127.0.0.1]:35557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WkdkS-0001i8-Ps
	for submit <at> debbugs.gnu.org; Wed, 14 May 2014 14:17:49 -0400
Received: from mtaout28.012.net.il ([80.179.55.184]:35495)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WkdkP-0001hq-Um
 for 17489 <at> debbugs.gnu.org; Wed, 14 May 2014 14:17:46 -0400
Received: from conversion-daemon.mtaout28.012.net.il by mtaout28.012.net.il
 (HyperSendmail v2007.08) id <0N5K00G00T9ZCU00@HIDDEN> for
 17489 <at> debbugs.gnu.org; Wed, 14 May 2014 21:15:54 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout28.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N5K00DJJTEIAQ30@HIDDEN>; Wed, 14 May 2014 21:15:54 +0300 (IDT)
Date: Wed, 14 May 2014 21:17:36 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired
In-reply-to: <87vbt846jk.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Sergio Pokrovskij <sergio.pokrovskij@HIDDEN>
Message-id: <83oaz0ns1r.fsf@HIDDEN>
References: <87d2fg6dcn.fsf@HIDDEN> <831tvwpfar.fsf@HIDDEN>
 <87vbt846jk.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17489
Cc: 17489 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Sergio Pokrovskij <sergio.pokrovskij@HIDDEN>
> Cc: 17489 <at> debbugs.gnu.org
> Date: Thu, 15 May 2014 00:24:47 +0700
> 
>   Eli> IOW, why isn't that .dir-locals.el setting of yours not a
>   Eli> cockpit error?
> 
> Because there is no appropriate means to impose a reasonable
> condition.  Just the "nil" or a major mode name.  It may happen
> that I do not know the a-priori mode; actually it is mode that I
> would like to set.

Why would someone want to apply a fixed major mode to all the files in
a directory?

> ,----
> | Whenever Emacs visits any file IN THAT DIRECTORY or any of its
> | subdirectories, it will apply the directory-local variables
> | specified in `.dir-locals.el', AS THOUGH THEY HAD BEEN DEFINED AS
> | FILE-LOCAL VARIABLES for that file ...
> `----

Are you saying that "." is not a file?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17489; Package emacs. Full text available.

Message received at 17489 <at> debbugs.gnu.org:


Received: (at 17489) by debbugs.gnu.org; 14 May 2014 17:38:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 14 13:38:24 2014
Received: from localhost ([127.0.0.1]:35475 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wkd8J-0000Mz-TF
	for submit <at> debbugs.gnu.org; Wed, 14 May 2014 13:38:24 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:42946 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1Wkd8H-0000Mq-Dd
 for 17489 <at> debbugs.gnu.org; Wed, 14 May 2014 13:38:22 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1Wkd8G-0003Zk-Mc; Wed, 14 May 2014 13:38:20 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Sergio Pokrovskij <sergio.pokrovskij@HIDDEN>
Subject: Re: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired
References: <87d2fg6dcn.fsf@HIDDEN> <831tvwpfar.fsf@HIDDEN>
 <87vbt846jk.fsf@HIDDEN> <v0iop89sio.fsf@HIDDEN>
X-Spook: Armani Honduras brigand halcon airframe Geraldton Semtex
X-Ran: Y/RzQlOuqJr5k@J*hNLQB2nS/S/v+'lYIqQqbe-38>OAN0Xqpv(7m<877ukA`U;<,O{}de
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 14 May 2014 13:38:20 -0400
In-Reply-To: <v0iop89sio.fsf@HIDDEN> (Glenn Morris's message of
 "Wed, 14 May 2014 13:31:11 -0400")
Message-ID: <6hha4s2rcj.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.7 (-----)
X-Debbugs-Envelope-To: 17489
Cc: 17489 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.7 (-----)

Glenn Morris wrote:

> It's useful for dir-locals to apply to some buffers not visiting files.
> It's not just dired, it's some VC buffers as well, etc, IIRC.
>
> I believe this issue reduces to a duplicate of
>
> http://debbugs.gnu.org/13685

Although we could probably treat this specific example specially, and
just say that it never (?) makes sense for a dir-local `mode' to apply to
non-file buffers.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17489; Package emacs. Full text available.

Message received at 17489 <at> debbugs.gnu.org:


Received: (at 17489) by debbugs.gnu.org; 14 May 2014 17:31:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 14 13:31:15 2014
Received: from localhost ([127.0.0.1]:35466 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wkd1O-00008C-WE
	for submit <at> debbugs.gnu.org; Wed, 14 May 2014 13:31:15 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:42747 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1Wkd1M-000084-Lc
 for 17489 <at> debbugs.gnu.org; Wed, 14 May 2014 13:31:13 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1Wkd1L-0007j6-Fe; Wed, 14 May 2014 13:31:11 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Sergio Pokrovskij <sergio.pokrovskij@HIDDEN>
Subject: Re: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired
References: <87d2fg6dcn.fsf@HIDDEN> <831tvwpfar.fsf@HIDDEN>
 <87vbt846jk.fsf@HIDDEN>
X-Spook: Gazprom Clinton jihad BLU-114/B mindwar Ft. Bragg
X-Ran: ldT?mJfR:l,N~Og%^>2^WP:g{\Ya3-jQz]M.ED`4beytX)3mJ;g{'kMEoMRwDP[ei{J_::
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 14 May 2014 13:31:11 -0400
In-Reply-To: <87vbt846jk.fsf@HIDDEN> (Sergio Pokrovskij's message of "Thu, 
 15 May 2014 00:24:47 +0700")
Message-ID: <v0iop89sio.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.7 (-----)
X-Debbugs-Envelope-To: 17489
Cc: Eli Zaretskii <eliz@HIDDEN>, 17489 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.7 (-----)


It's useful for dir-locals to apply to some buffers not visiting files.
It's not just dired, it's some VC buffers as well, etc, IIRC.

I believe this issue reduces to a duplicate of

http://debbugs.gnu.org/13685




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17489; Package emacs. Full text available.

Message received at 17489 <at> debbugs.gnu.org:


Received: (at 17489) by debbugs.gnu.org; 14 May 2014 17:25:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 14 13:25:08 2014
Received: from localhost ([127.0.0.1]:35461 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WkcvS-0008Ll-3m
	for submit <at> debbugs.gnu.org; Wed, 14 May 2014 13:25:06 -0400
Received: from mail-la0-f42.google.com ([209.85.215.42]:44896)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sergio.pokrovskij@HIDDEN>) id 1WkcvP-0008L6-26
 for 17489 <at> debbugs.gnu.org; Wed, 14 May 2014 13:25:03 -0400
Received: by mail-la0-f42.google.com with SMTP id el20so1702174lab.1
 for <17489 <at> debbugs.gnu.org>; Wed, 14 May 2014 10:24:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=7ZM7+Ds85JPkrxB+FmfJEh85ZoKgVK4x+k2ngjV6edc=;
 b=gGp3Fv32FFOjlTWizF6eVYQWd9HMpA64aEFnbXScgBMk76/GB67ZjHg6ww+74PWRJa
 ap4XsH7YYPqdFLAre9nHe2Ic96wdZIdB/oKx92y3RmQ/wDpa1hCsLl/BdmI+fEMccj3o
 WxypgPxK3c1CSzyv1tNO4pOm8qjPCyz3gQu9sc2fc/OwGhC6YJkECmJiCXuI3MCIZZNk
 P0mISW1ayq1VLI50ZLyLgiNgMzk9nWmKCxyhSAqjWkFrpj3+F/Wq1BDEstrwx9pw8Lq0
 uXooacjI+MZ4TFpW/QrtSwvWkYfS6dAZsJuBIPSERkxJeQvdSa6lzLpjDX5cwHdEbXXl
 VPwQ==
X-Received: by 10.112.130.229 with SMTP id oh5mr2554787lbb.49.1400088296753;
 Wed, 14 May 2014 10:24:56 -0700 (PDT)
Received: from hp12 ([176.51.121.255])
 by mx.google.com with ESMTPSA id ob4sm2593931lbc.30.2014.05.14.10.24.53
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Wed, 14 May 2014 10:24:54 -0700 (PDT)
From: Sergio Pokrovskij <sergio.pokrovskij@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired
References: <87d2fg6dcn.fsf@HIDDEN> <831tvwpfar.fsf@HIDDEN>
Date: Thu, 15 May 2014 00:24:47 +0700
In-Reply-To: <831tvwpfar.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 May
 2014 18:10:04 +0300")
Message-ID: <87vbt846jk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17489
Cc: 17489 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

>>>>> "Eli" == Eli Zaretskii wrote:

[...]

  Eli> It's not clear what did you expect instead.  Did you expect
  Eli> that unconditionally turning on some mode in a Dired buffer
  Eli> be ignored, just because it's a Dired buffer?

Kind of.  It is not quite a "local file".  Cf:

,----
| Sometimes, you may wish to define the same set of local variables
| to all the files in a certain directory ...
`---- (info "(emacs)Directory Variables")

  Eli> Or did you expect that your .dir-locals.el settings be in
  Eli> effect only for files, not for directories?

This too, normally "local variables" are not attributable to
directories, are they?

  Eli> Or did you expect that cc-mode somehow gracefully does
  Eli> nothing when the buffer text is not a C-like program
  Eli> source?

It seems that it's a dired's problem rather than cc-mode's.

  Eli> Or something else?

My expectation was that I could specify a local-variable setting
common to all the files from the directory in question.  And
actually it does work.  The only problem is that it breaks the
dired buffer.

  Eli> IOW, why isn't that .dir-locals.el setting of yours not a
  Eli> cockpit error?

Because there is no appropriate means to impose a reasonable
condition.  Just the "nil" or a major mode name.  It may happen
that I do not know the a-priori mode; actually it is mode that I
would like to set.

After all, I've found a workaround; but I believe the feature
would be more useful if it could be restricted to '-' files only
(i.e. only to those which normally can contain
"Local variables:"):

,----
| Whenever Emacs visits any file IN THAT DIRECTORY or any of its
| subdirectories, it will apply the directory-local variables
| specified in `.dir-locals.el', AS THOUGH THEY HAD BEEN DEFINED AS
| FILE-LOCAL VARIABLES for that file ...
`----

-- 
Sergio




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17489; Package emacs. Full text available.

Message received at 17489 <at> debbugs.gnu.org:


Received: (at 17489) by debbugs.gnu.org; 14 May 2014 16:57:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 14 12:57:03 2014
Received: from localhost ([127.0.0.1]:35407 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WkcUI-0007ST-UD
	for submit <at> debbugs.gnu.org; Wed, 14 May 2014 12:57:03 -0400
Received: from chene.dit.umontreal.ca ([132.204.246.20]:46240)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WkcUH-0007S1-4D
 for 17489 <at> debbugs.gnu.org; Wed, 14 May 2014 12:57:01 -0400
Received: from pastel.home (lechon.iro.umontreal.ca [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id s4EGuwPr009360;
 Wed, 14 May 2014 12:56:59 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 64FB4601E4; Wed, 14 May 2014 12:56:58 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired
Message-ID: <jwvk39ouwne.fsf-monnier+emacsbugs@HIDDEN>
References: <87d2fg6dcn.fsf@HIDDEN> <831tvwpfar.fsf@HIDDEN>
Date: Wed, 14 May 2014 12:56:58 -0400
In-Reply-To: <831tvwpfar.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 May
 2014 18:10:04 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Level: 
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0.2
X-NAI-Spam-Rules: 2 Rules triggered
	GEN_SPAM_FEATRE=0.2, RV4942=0
X-NAI-Spam-Version: 2.3.0.9378 : core <4942> : inlines <867> : streams
 <1182716> : uri <1756682>
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 17489
Cc: Sergio Pokrovskij <sergio.pokrovskij@HIDDEN>, 17489 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

> Or did you expect that cc-mode somehow gracefully does
> nothing when the buffer text is not a C-like program source?

That's a reasonable expectation (just as we've seen for for todo-mode).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17489; Package emacs. Full text available.

Message received at 17489 <at> debbugs.gnu.org:


Received: (at 17489) by debbugs.gnu.org; 14 May 2014 15:10:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 14 11:10:19 2014
Received: from localhost ([127.0.0.1]:35303 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wkap0-0003H8-Lt
	for submit <at> debbugs.gnu.org; Wed, 14 May 2014 11:10:19 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:54492)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Wkaow-0003Gq-Vq
 for 17489 <at> debbugs.gnu.org; Wed, 14 May 2014 11:10:16 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0N5K00600KCXR100@HIDDEN> for 17489 <at> debbugs.gnu.org;
 Wed, 14 May 2014 18:10:08 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N5K00649KSWTB10@HIDDEN>;
 Wed, 14 May 2014 18:10:08 +0300 (IDT)
Date: Wed, 14 May 2014 18:10:04 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired
In-reply-to: <87d2fg6dcn.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Sergio Pokrovskij <sergio.pokrovskij@HIDDEN>
Message-id: <831tvwpfar.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <87d2fg6dcn.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17489
Cc: 17489 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Sergio Pokrovskij <sergio.pokrovskij@HIDDEN>
> Date: Wed, 14 May 2014 14:14:48 +0700
> 
> Given a .dir-locals.el file of the form:
> 
> --8<---------------cut here---------------start------------->8---
> % ls -al /tmp/tst/
> total 16
> drwxrwxr-x  2 sergio sergio 4096 мая   14 12:01 .
> drwxrwxrwt 17 root   root   4096 мая   14 14:06 ..
> -rw-rw-r--  1 sergio sergio   44 мая   14 12:01 .dir-locals.el
> -rw-rw-r--  1 sergio sergio    4 мая   14 11:58 t.t
> % 
> % cat /tmp/tst/.dir-locals.el 
> ((nil . ((mode . c) (fill-column . 80))))
> 
> %
> --8<---------------cut here---------------end--------------->8---
> 
> it works okay for the local files which are read with a path in the
> command-line or with a find-file:
> 
> --8<---------------cut here---------------start------------->8---
> % emacs -nw -Q /tmp/tst/t.t
> --8<---------------cut here---------------end--------------->8---
> 
> The file is open in c-mode, the *Messages* contains:
> 
> --8<---------------cut here---------------start------------->8---
> ("emacs" "/tmp/tst/t.t")
> For information about GNU Emacs and the GNU system, type C-h C-a.
> Loading cc-langs...done
> --8<---------------cut here---------------end--------------->8---
> 
> Yet it prevents the dired buffer for /tmp/tst/ to be displayed; a
> "Wrong type argument: stringp, nil" message is issued.
> 
> This seems to occur for any major mode; I tried it for psgml-mode,
> text-mode, c-mode.

It's not clear what did you expect instead.  Did you expect that
unconditionally turning on some mode in a Dired buffer be ignored,
just because it's a Dired buffer?  Or did you expect that your
.dir-locals.el settings be in effect only for files, not for
directories?  Or did you expect that cc-mode somehow gracefully does
nothing when the buffer text is not a C-like program source?  Or
something else?

IOW, why isn't that .dir-locals.el setting of yours not a cockpit
error?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17489; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 May 2014 07:28:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 14 03:28:27 2014
Received: from localhost ([127.0.0.1]:34640 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WkTc2-0005cG-2t
	for submit <at> debbugs.gnu.org; Wed, 14 May 2014 03:28:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56868)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sergio.pokrovskij@HIDDEN>) id 1WkTPX-0005Dk-Go
 for submit <at> debbugs.gnu.org; Wed, 14 May 2014 03:15:32 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sergio.pokrovskij@HIDDEN>) id 1WkTPJ-0005YY-01
 for submit <at> debbugs.gnu.org; Wed, 14 May 2014 03:15:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37692)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sergio.pokrovskij@HIDDEN>) id 1WkTPI-0005YI-Tx
 for submit <at> debbugs.gnu.org; Wed, 14 May 2014 03:15:16 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58507)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sergio.pokrovskij@HIDDEN>) id 1WkTP9-0007pP-Aw
 for bug-gnu-emacs@HIDDEN; Wed, 14 May 2014 03:15:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sergio.pokrovskij@HIDDEN>) id 1WkTP0-0005CB-9G
 for bug-gnu-emacs@HIDDEN; Wed, 14 May 2014 03:15:07 -0400
Received: from mail-lb0-x236.google.com ([2a00:1450:4010:c04::236]:59968)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sergio.pokrovskij@HIDDEN>) id 1WkTOz-0005Bw-Dq
 for bug-gnu-emacs@HIDDEN; Wed, 14 May 2014 03:14:58 -0400
Received: by mail-lb0-f182.google.com with SMTP id q8so1078529lbi.41
 for <bug-gnu-emacs@HIDDEN>; Wed, 14 May 2014 00:14:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:user-agent:mime-version
 :content-type:content-transfer-encoding;
 bh=pqkOy6LVIOqlwAegqf1Jqf7Vgzxwyb3mj9fx/Vu3Wt8=;
 b=x8rMw5tSBSx5vdhj76Irrh1d+UNJYbBYwBJ10ExV/b0TRFbSGDzdxBQ2w4lSq/YoCj
 pwbPNwTM+1/NEz2hVIJcPKYqn9GwoOQ2xVy2d9bZ09+qyNufo1xplERZ19GHbwgPZMZ6
 GjGmMEqqB0JSAHZ+GHETImNb4rtj9j5VfkTZtn6uxEFUqKOaCrwNpHsQN4ONBpXU09Af
 pfDDNcBrh1lhyu/y1486CE4din0KcHhNRpMp18aLT8w3X1PDVqynWWNzFNOU95H/0Ssk
 sSAcvP7t9rUTyisyuuxD3okP0r2kZOsz7Z0WdU1aXCYFdMekLCpMcWb6raG/xed4a2go
 5MRg==
X-Received: by 10.152.42.234 with SMTP id r10mr243127lal.66.1400051695795;
 Wed, 14 May 2014 00:14:55 -0700 (PDT)
Received: from hp12 ([176.51.121.255])
 by mx.google.com with ESMTPSA id mk2sm950925lbc.8.2014.05.14.00.14.53
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Wed, 14 May 2014 00:14:54 -0700 (PDT)
From: Sergio Pokrovskij <sergio.pokrovskij@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; Major mode spec in .dir-locals.el breaks dired
Date: Wed, 14 May 2014 14:14:48 +0700
Message-ID: <87d2fg6dcn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 14 May 2014 03:28:23 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Given a .dir-locals.el file of the form:

--8<---------------cut here---------------start------------->8---
% ls -al /tmp/tst/
total 16
drwxrwxr-x  2 sergio sergio 4096 мая   14 12:01 .
drwxrwxrwt 17 root   root   4096 мая   14 14:06 ..
-rw-rw-r--  1 sergio sergio   44 мая   14 12:01 .dir-locals.el
-rw-rw-r--  1 sergio sergio    4 мая   14 11:58 t.t
% 
% cat /tmp/tst/.dir-locals.el 
((nil . ((mode . c) (fill-column . 80))))

%
--8<---------------cut here---------------end--------------->8---

it works okay for the local files which are read with a path in the
command-line or with a find-file:

--8<---------------cut here---------------start------------->8---
% emacs -nw -Q /tmp/tst/t.t
--8<---------------cut here---------------end--------------->8---

The file is open in c-mode, the *Messages* contains:

--8<---------------cut here---------------start------------->8---
("emacs" "/tmp/tst/t.t")
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading cc-langs...done
--8<---------------cut here---------------end--------------->8---

Yet it prevents the dired buffer for /tmp/tst/ to be displayed; a
"Wrong type argument: stringp, nil" message is issued.

This seems to occur for any major mode; I tried it for psgml-mode,
text-mode, c-mode.

It can be reproduced form batch or interactively.  The batch version:

--8<---------------cut here---------------start------------->8---
% cat /tmp/tst/.dir-locals.el 
((nil . ((mode . c) (fill-column . 80))))

%
% cat /tmp/ff.el 
(find-file "/tmp/tst" t)
% 
% emacs -Q -batch -l /tmp/ff.el
Loading cc-langs...
Wrong type argument: stringp, nil
% 
--8<---------------cut here---------------end--------------->8---

Same for the interactive version:

--8<---------------cut here---------------start------------->8---
% emacs -nw -Q /tmp/tst/
--8<---------------cut here---------------end--------------->8---

*Messages* contains:

--8<---------------cut here---------------start------------->8---
("emacs" "/tmp/tst/")
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading cc-langs...done
dired-sort-R-check: Wrong type argument: stringp, nil
--8<---------------cut here---------------end--------------->8---

==================================

In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.8.2)
 of 2013-07-27 on roseapple, modified by Debian
System Description:	Ubuntu 13.10

Configured using:
 `configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'
 '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
 '--localstatedir=/var/lib' '--infodir=/usr/share/info'
 '--mandir=/usr/share/man' '--with-pop=yes'
 '--enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/site-lisp:/usr/share/emacs/site-lisp'
 '--with-crt-dir=/usr/lib/x86_64-linux-gnu' '--with-x=yes'
 '--with-x-toolkit=gtk3' '--with-toolkit-scroll-bars'
 'build_alias=x86_64-linux-gnu' 'CFLAGS=-g -O2 -fstack-protector
 --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall'
 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro'
 'CPPFLAGS=-D_FORTIFY_SOURCE=2''

Important settings:
  value of $LC_MONETARY: ru_RU.UTF-8
  value of $LC_NUMERIC: ru_RU.UTF-8
  value of $LC_TIME: ru_RU.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
ESC [ > 0 ; 1 1 5 ; 0 c ESC x r e p o r t - e m a c 
s - b u g RET

Recent messages:
("emacs" "/tmp/tst/")
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading cc-langs...done
dired-sort-R-check: Wrong type argument: stringp, nil

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message cl-macs gv format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils cc-langs cl cl-lib cc-mode cc-fonts
easymenu cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs dired time-date tooltip ediff-hook vc-hooks lisp-float-type
mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment lisp-mode register page menu-bar rfn-eshadow
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

-- 
Sergio




Acknowledgement sent to Sergio Pokrovskij <sergio.pokrovskij@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17489; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.